## python-id 1.4.0

=== debian/changelog ===
python-id (1.4.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 31 Jul 2024 16:38:12 +0900

python-id (1.4.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1076762)

 -- Edward Betts <edward@4angle.com>  Tue, 23 Jul 2024 21:05:22 +0900
