=== debian/control ===
Source: python-id
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               flit,
               pybuild-plugin-pyproject,
               python3-all,
               python3-pretend <!nocheck>,
               python3-pydantic (>= 2.4.2) <!nocheck>,
               python3-pytest <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/di/id
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-id
Vcs-Git: https://salsa.debian.org/python-team/packages/python-id.git

Package: python3-id
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python tool for generating and managing OIDC identities
 This is a versatile Python tool designed for generating and managing OpenID
 Connect (OIDC) identities across various environments including GitHub Actions,
 GitLab pipelines, and Google Cloud platforms. This tool simplifies the process
 of OIDC credential generation and supports automatic detection and production
 of credentials in supported environments.
 .
 With 'id', users can efficiently handle OIDC tokens and authentication
 procedures, streamlining deployment and CI/CD workflows. The tool is also
 equipped to work in environments like Buildkite and CircleCI, ensuring broad
 compatibility and utility.
