=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/id-$1\.tar\.gz/ \
  https://github.com/di/id/tags .*/v?(\d\S+)\.tar\.gz
