## python-id 1.5.0

=== debian/changelog ===
python-id (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream no longer depends on pydantic.
  * Move packages required for tests to Build-Depends-Indep.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Sun, 08 Dec 2024 12:35:19 +0000
