=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: python-id
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Edward Betts <edward@4angle.com>
+Uploaders:
+ Edward Betts <edward@4angle.com>,
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-python3,
-               flit,
-               pybuild-plugin-pyproject,
-               python3-all,
-               python3-pretend <!nocheck>,
-               python3-pydantic (>= 2.4.2) <!nocheck>,
-               python3-pytest <!nocheck>
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ flit,
+ pybuild-plugin-pyproject,
+ python3-all,
+Build-Depends-Indep:
+ python3-pretend <!nocheck>,
+ python3-pytest <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://github.com/di/id
@@ -19,7 +21,9 @@
 
 Package: python3-id
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Python tool for generating and managing OIDC identities
  This is a versatile Python tool designed for generating and managing OpenID
  Connect (OIDC) identities across various environments including GitHub Actions,
