=== debian/watch ===
version=4
https://github.com/di/id/tags .*/v?(\d\S+)\.tar\.gz
