## python-id 1.6.1

=== debian/changelog ===
python-id (1.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sat, 07 Feb 2026 09:34:15 +0000
